Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	dnet - network library
Name:		libdnet
Version:	1.10
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://libdnet.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, IP tunnelling,
and raw IP packet and Ethernet frame transmission.


%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#sed -i 's/suite_free(s);//' test/check/*.c 

%build
./configure --prefix=%_prefix --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_sbindir/dnet
%_mandir/man3/dnet.3.gz
%_mandir/man8/dnet.8.gz

%files devel
%defattr(-,root,root)
%_bindir/dnet-config
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10-2
- Tweaked specfile
* Mon Jun 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.10-1
- Initial Release